\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-0.5,-0.5) rectangle (4.5,8.5);

\fill[line width=2pt,fill=rvwvcq!30] (0,3.214) -- (3.82,7.754261356565028) -- (3.82,0) -- (0,0) -- cycle;
\draw [shift={(3.82,0)},line width=0.8pt] (0,0) -- (139.92404303520556:0.6) arc (139.92404303520556:180:0.6) -- cycle;
\draw [shift={(3.82,0)},line width=0.8pt] (0,0) -- (90:0.6) arc (90:139.9240430352056:0.6) -- cycle;
\draw[line width=0.8pt,fill=rvwvcq] (0.3246433131186087,2.9408576941457567) -- (0.597785618972852,3.2655010072643655) -- (0.27314230585424315,3.538643313118609) -- (0,3.214) -- cycle; \draw[line width=0.8pt,fill=rvwvcq] (0.42426406871192845,0) -- (0.4242640687119286,0.4242640687119284) -- (0,0.42426406871192845) -- (0,0) -- cycle; 
\draw [line width=1pt] (0,3.214)-- (3.82,0);
\draw [line width=1pt] (0,3.214)-- (3.82,7.754261356565028);
\draw [line width=1pt] (3.82,7.754261356565028)-- (3.82,0);
\draw [line width=1pt] (3.82,0)-- (0,0);
\draw [line width=1pt] (0,0)-- (0,3.214);
\draw (-0.25,-0.25) node {$A$};
\draw (4.1,-0.25) node {$D$};
\draw (-0.25,3.46) node {$B$};
\draw (4.1,8) node {$C$};
\draw (2.8,0.45) node {$40\textrm{\degre}$};
\draw (3.44,1.01) node {$50\textrm{\degre}$};
\end{tikzpicture}